<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		

   
  
 									
									<?php
	echo '<div class="col-sm-12">';
					include('xcrud/xcrud.php');
      $userid = $_SESSION['UserID'];
			//echo Xcrud::load_css();	

if ($userid == 'admin' || $userid == 'ravinesh' || $userid == 'riga' || $userid == 'jprasad' || $userid == 'pritika' ) { 
   $ebusiness= Xcrud::get_instance();
	$ebusiness->table('calendar_management');
	$ebusiness->table_name('Payrun - General','Rostering','icon-leaf');
	$ebusiness->order_by('id','desc');
	$ebusiness->change_type('status','select','pending','pending,approved,processed,locked');
   $ebusiness->set_attr('period',array('id'=>'period'));
$ebusiness->set_attr('start_date',array('id'=>'startdate'));
$ebusiness->set_attr('end_date',array('id'=>'enddate'));
$ebusiness->unset_remove();
	$ebusiness->set_attr('created_by',array('id'=>'user'));
$ebusiness->set_attr('date_created',array('id'=>'date'));

$userid = $_SESSION['UserID'];
$ebusiness->pass_default('created_by',$userid);
$ebusiness->pass_var('created_by',$userid );

$timenow = date('Y-m-d H:i:s');
$ebusiness->pass_default('date_created',$timenow);
$ebusiness->pass_var('date_created',$timenow );
$ebusiness->disabled('date_created,created_by,period');
$ebusiness->load_view('edit','calendar.php');
$ebusiness->load_view('create','calendar.php');
$ebusiness->load_view('view','calendar.php');
$ebusiness->before_insert('get_PeriodDetails');
$ebusiness->before_update('get_PeriodDetails');


$ebusiness->column_pattern('id', '<a href="#" class="xcrud-action" data-task="view" data-primary="{id}">{value}</a>');


  $ebusiness->button('ProcessPay.php?id={id}&status={status}', 'Process Pay','glyphicon glyphicon-refresh','post');
$ebusiness->button('PaySlips.php?id={id}', 'Print All Payslip','glyphicon glyphicon-download','payslip');
$ebusiness->button('EmailPaySlips.php?id={id}', 'Email All Payslip','glyphicon glyphicon-envelope','payslipemail');
//$ebusiness->button('PayApprove.php?id={id}', 'Approve','glyphicon glyphicon-ok','approve');
 $ebusiness->button('PayPostGL.php?id={id}', 'Post GL','glyphicon glyphicon-upload','post');
	$ebusiness->button('PayMasterReport.php?id={id}', 'Master Report','glyphicon glyphicon-list-alt','approve');




	$ebusiness1 = $ebusiness->nested_table('Employees','id','payrun_details','id'); 
$ebusiness1->table_name('Employees in this Pay Run','Payrol','icon-leaf');
	$ebusiness1->where("payrun_details.employee_type = 'Timesheet'");
$ebusiness1->disabled('payid,entered_by,last_update');
$ebusiness1->relation('employeeid','employeemaster','employeeid',array('first_name','middle_name','last_name','employeeid'));
	        $ebusiness1->button('PaySlips.php?payid={payid}&employeeid={employeeid}', 'Print Payslip','glyphicon glyphicon-download','payslip');
$ebusiness1->button('EmailPaySlips.php?payid={payid}&employeeid={employeeid}', 'Email Payslip','glyphicon glyphicon-envelope','payslipemail');


 //	 $ebusiness->button('PaySlips.php?pay_no={pay_no}', 'Download EMS file','glyphicon glyphicon-download');
//$ebusiness->button('EmailPaySlips.php?pay_no={pay_no}', 'Download FNPF file','glyphicon glyphicon-download');
//$ebusiness->button('EmailPaySlips.php?payid={payid}', 'Download westpac file','glyphicon glyphicon-download','westpac');
//$ebusiness->before_insert('fetchpaydata','functionpayrun.php');
 //$ebusiness1->modal('employeeid');
              //$pool->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'));
 $ebusiness->limit_list('20,50,100,1000'); // do not use 'all' for large tables
   //$ebusiness->benchmark();
$ebusiness1->limit_list('20,50,100,1000'); // do not use 'all' for large tables
  // $ebusiness1->benchmark();
//$ebusiness1->load_view('list','PayRunList.php');


//$ebusiness1->unset_remove();
	//$ebusiness1->unset_add();
//	$ebusiness1->unset_edit();
$ebusiness1->sum('normal_pay,normal_pay_without_premium,premium_hours,premium,normal_hours,timehalf_hours,double_hours,timehalf_amount,double_amount');
	$ebusiness1->relation('department','department','departmentid','departmentname');
$ebusiness1->pass_var('entered_by',$userid );
$ebusiness1->pass_var('last_update',$timenow);
	$ebusiness1->column_pattern('payid', '<a href="#" class="xcrud-action" data-task="view" data-primary="{payid}">{value}</a>');
	$ebusiness2 = $ebusiness1->nested_table('Employees Extra','payid','payrun_details_extra','payid'); 
	$ebusiness2->column_pattern('timesheet_id', '<a href="#" class="xcrud-action" data-task="view" data-primary="{p_id}">{value}</a>');
$ebusiness2->relation('department','department','departmentid','departmentname');
	
	$ebusiness2->sum('amount');
	//$ebusiness2->column_name('amount','Normal Amount');
	$ebusiness3 = $ebusiness2->nested_table('Employees Timesheet','timesheet_id','timesheetsuva','timesuvaid'); 
	
	
	


//second level table configurations
	$rostering_timesheet = 	$ebusiness3->nested_table('rostering_timesheet','timesuvaid','timesheetsuvadetails','timesuvaid'); 
	      
	 //$rostering_timesheet->columns('employeeid,mon_shift,mon_hrs,tues_shift,tues_hrs,wed_shift,wed_hrs,thurs_shift,thurs_hrs,fri_shift,fri_hrs,sat_shift,sat_hrs,sun_shift,sun_hrs,total_hrs');
	 
   //$rostering_timesheet->fields('employeeid,mon_shift,mon_hrs,tues_shift,tues_hrs,wed_shift,wed_hrs,thurs_shift,thurs_hrs,fri_shift,fri_hrs,sat_shift,sat_hrs,sun_shift,sun_hrs,total_hrs');
	
	  //employee id and name
	  
	
	//$rostering_timesheet->relation('employeeid','poolguards','employeeid',array('first_name','last_name','employeeid'),array('rostered' => '0'));
$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'));


//$rostering_timesheet->pass_default(array('mon_date' => 'Joe', 'tues_date' => 'Boston'));
//$rostering_timesheet->relation('mon_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('mon_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('tues_shift','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('tues_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('wed_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('wed_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('thurs_shift','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('thurs_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('fri_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('fri_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('sat_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('sat_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('sun_shift','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('sun_shift2','shifts','shiftid','shiftplushours');
	//$rostering_timesheet->relation('mon_shift_2','shifts','shiftid','shiftplushours');
//$rostering_timesheet->relation('mon_shift_2_2','shifts','shiftid','shiftplushours');
	 //$rostering_timesheet->change_type('mon_shift','select','3pm-7pm','3pm-7pm,9am-12pm');
	 
 
	
	
     //$rostering_timesheet->relation('mon_hrs','shifts','shiftid','hours','','','','','','shiftid','mon_shift');
	 
	 
	 //$rostering_timesheet->before_insert('gridcolor');
	//$rostering_timesheet->before_update('gridcolor');
	
	//$rostering_timesheet->pass_var('montime_in', 'NOW()');
    //$rostering_timesheet->no_quotes('montime_in');
	
	
	$rostering_timesheet->label('employeeid','Employees');
	$rostering_timesheet->label('debtorno','Customer');
	$rostering_timesheet->column_name('debtorno','Customer');
	$rostering_timesheet->column_name('total_hrs','Total');
	//$rostering_timesheet->column_name('mon_hrs,tues_hrs,wed_hrs,thurs_hrs,fri_hrs,sat_hrs,sun_hrs,mon_hrs_2,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2','');
		$rostering_timesheet->column_width('debtorno','120px'); 
		$rostering_timesheet->column_width('location','150px'); 
	$rostering_timesheet->column_width('employeeid','500px'); 
//$rostering_timesheet->column_width('mon_hrs,tues_hrs,wed_hrs,thurs_hrs,fri_hrs,sat_hrs,sun_hrs,mon_hrs_2,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2','5px');
	//$rostering_timesheet->column_width('mon_shift,tues_shift,wed_shift,thurs_shift,fri_shift,sat_shift,sun_shift,mon_shift_2','95px');
	//$rostering_timesheet->column_width('total_hrs','20px');
	//$rostering_timesheet->fields('mon_hrs,mon_total,tues_hrs,tues_total,wed_hrs,wed_total,thurs_hrs,thurs_total,fri_hrs,fri_total,sat_hrs,sat_total,sun_hrs,sun_total,mon_hrs_2,mon2_total,mon_hrs2,tues_hrs2,wed_hrs2,thurs_hrs2,fri_hrs2,sat_hrs2,sun_hrs2,mon_hrs_2_2', true);
	//$rostering_timesheet->validation_required('employeeid');
	
	//check whether total hours doesnt exceel employees max hours allowed to work. checking with employeemaster database.

	
	//grid coloring based on shift table
	
	$rostering_timesheet->highlight('montime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('montime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('montime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('montime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('montime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('montime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('montime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('montime_in1','>=','15:00:00','#FFFF33');


		$rostering_timesheet->highlight('tuestime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('tuestime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('tuestime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('tuestime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('tuestime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('tuestime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('tuestime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('tuestime_in1','>=','15:00:00','#FFFF33');


	$rostering_timesheet->highlight('wedtime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('wedtime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('wedtime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('wedtime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('wedtime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('wedtime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('wedtime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('wedtime_in1','>=','15:00:00','#FFFF33');

	$rostering_timesheet->highlight('thurstime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('thurstime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('thurstime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('thurstime_in','>=','15:00:00','#FFFF33');


	$rostering_timesheet->highlight('fritime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('fritime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('fritime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('fritime_in','>=','15:00:00','#FFFF33');

	

	$rostering_timesheet->highlight('sattime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('sattime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('sattime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('sattime_in','>=','15:00:00','#FFFF33');

	


	$rostering_timesheet->highlight('sunttime_in','>=','00:00:00','white');
	
	$rostering_timesheet->highlight('sunttime_in','>=','07:00:00','#00d8ff');

$rostering_timesheet->highlight('sunttime_in','>=','12:00:00','#28B463');

$rostering_timesheet->highlight('sunttime_in','>=','15:00:00','#FFFF33');

	//$rostering_timesheet->highlight('suntime_in1','>=','00:00:00','white');
	
	//$rostering_timesheet->highlight('suntime_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('suntime_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('suntime_in1','>=','15:00:00','#FFFF33');


	//$rostering_timesheet->highlight('mon2time_in','>=','00:00:00','white');
	
//	$rostering_timesheet->highlight('mon2time_in','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('mon2time_in','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('mon2time_in','>=','15:00:00','#FFFF33');

//	$rostering_timesheet->highlight('mon2time_in1','>=','00:00:00','white');
	
//	$rostering_timesheet->highlight('mon2time_in1','>=','07:00:00','#00d8ff');

//$rostering_timesheet->highlight('mon2time_in1','>=','12:00:00','#28B463');

//$rostering_timesheet->highlight('mon2time_in1','>=','15:00:00','#FFFF33');





	//$rostering_timesheet->highlight('mon_hrs','=','{mon_hrs}',$mon_color);
	
	
//$rostering_timesheet->before_insert('gridcolor');
//$rostering_timesheet->before_update('gridcolor');
	
	
	//calculate total employee hours per week
//$rostering_timesheet->before_list('highlightcell');




$rostering_timesheet->before_insert('calculate_totalhoursperweek','functionstimesheetsuva.php');
$rostering_timesheet->before_update('calculate_totalhoursperweek','functionstimesheetsuva.php');
//$rostering_timesheet->after_insert('check_guards');
//$rostering_timesheet->after_update('check_guards');
//$rostering_timesheet->field_callback('total_hrs','validate_maxhours');

//$rostering_timesheet->before_insert('validate_maxhours');
//$rostering_timesheet->before_update('validate_maxhours');

	//$rostering_timesheet->table_name('Employee Schedulling');
	
	//calculate total  hours per per each day
	
   $rostering_timesheet->sum('mon_total,tues_total,wed_total,thurs_total,fri_total,sat_total,sun_total,total_hrs');
   
   $rostering_timesheet->columns('mon_gap,tues_gap,wed_gap,thurs_gap,fri_gap,sat_gap,sun_gap',true);
   
	$rostering_timesheet->table_name('Employee scheduling');
	
	$rostering_timesheet->duplicate_button();
	$rostering_timesheet->disabled('mon_total,tues_total,wed_total,thurs_total,fri_total,sat_total,sun_total,total_hrs,modified_by,date_modified');
	//$rostering_timesheet->disabled('m_hrs');
	

$rostering_timesheet->pass_default('modified_by',$userid);
$rostering_timesheet->pass_var('modified_by',$userid );

$timenow = date('Y-m-d H:i:s');
$rostering_timesheet->pass_default('date_modified',$timenow);
$rostering_timesheet->pass_var('date_modified',$timenow );
	


	//$rostering_timesheet->highlight('mon_shift','=','{mon_shift}','{mon_color}');

	//1st level main table
$ebusiness3 ->relation('department','department','departmentid','departmentname');
	$ebusiness3 ->relation('internal_location','internal_location','id','location');
$ebusiness3 ->relation('sectors','sectors','id','name');
$ebusiness3 ->relation('jobno','projectdetails','projectid',array('projectid','project_name'));
$ebusiness3 ->change_type('job_type ','select','Contracts','Contracts,FAS Small Jobs,FAS Surveys,Fire Training,FAS Testing,Extinguisher Servicing,Extinguisher Sales,Warranty Test,Leave');
  //test
		// $ebusiness3 ->relation('client','debtorsmaster','debtorno','name','','','','','','sectors','sectors');
  $ebusiness3 ->relation('patrol_location','guardforceclient','clientid',array('customername','patrollocation'),'','','','','','sectors','sectors');       
  $ebusiness3 ->relation('required_guards','guardforceclient','req_guards','req_guards','','','','','','clientid','patrol_location');
//$ebusiness3 ->relation('department','guardforceclient','clientid','department','','','','','','clientid','patrol_location');

	$ebusiness3 ->table_name('Timesheet by Location ','Employee Timesheet Scheduling','icon-leaf');
	
			
    $ebusiness3 ->change_type('status','select','pending','pending,approved,locked');
   
	//disable fields based on user id

if ($userid=='kelera' ||$userid=='filiti'||$userid=='jona'){
	
	$ebusiness3 ->disabled('sectors,patrol_location,required_guards,jobno,job_type');
	
	$ebusiness3 ->where('department=','11');
	
	$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => '11'));
	$ebusiness3 ->pass_default('department','11');
    $ebusiness3 ->pass_var('department','11');
	$ebusiness3 ->pass_default('internal_location','3');
    $ebusiness3 ->pass_var('internal_location','3');
	
}

//control room
if ($userid=='controlroom'){
	
	$ebusiness3 ->disabled('sectors,patrol_location,required_guards,jobno,job_type');
	
	$ebusiness3 ->where('department=','1');
	
	//$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => '1'));
	$ebusiness3 ->pass_default('department','1');
    $ebusiness3 ->pass_var('department','1');
	$ebusiness3 ->pass_default('internal_location','4');
    $ebusiness3 ->pass_var('internal_location','4');
	
}

if ($userid=='ilimo' ||$userid=='vicky'){
	
	$ebusiness3 ->disabled('internal_location,jobno,job_type');
	
$ebusiness3 ->where("timesheetsuva.department  = 1 OR timesheetsuva.department = 4"); 
	$ebusiness3 ->relation('department','department','departmentid','departmentname','department.departmentid = 4 OR  department.departmentid = 1');
	$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'));
	
	
}

if ($userid=='installssuva'){
	
	$ebusiness3 ->disabled('sectors,patrol_location,required_guards,internal_location');
	
	$ebusiness3 ->where('department=','9');
	
	$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('job_role' => 'Technician'));
	$ebusiness3 ->pass_default('department','9');
    $ebusiness3 ->pass_var('department','9');

	
}
if ($userid=='installswest'){
	
	$ebusiness3 ->disabled('sectors,patrol_location,required_guards,internal_location');
	
	$ebusiness3 ->where('department=','10');
	
	$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('job_role' => 'Technician'));
	$ebusiness3 ->pass_default('department','10');
    $ebusiness3 ->pass_var('department','10');

	
}
if ($userid=='schand'){
	
	$ebusiness3 ->disabled('sectors,patrol_location,required_guards,internal_location');
	
	$ebusiness3 ->where('department=','6');
	
	$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('job_role' => 'Technician'));
	$ebusiness3 ->pass_default('department','6');
    $ebusiness3 ->pass_var('department','6');

	
}

if ($userid=='charles'){
	
	$ebusiness3 ->disabled('sectors,patrol_location,required_guards,internal_location');
	
	$ebusiness3 ->where('department=','7');
	
	$rostering_timesheet->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('job_role' => 'Technician'));
	$ebusiness3 ->pass_default('department','7');
    $ebusiness3 ->pass_var('department','7');

	
}
if ($userid=='akumar'){
	
	//$ebusiness3 ->disabled('sectors,patrol_location,required_guards,internal_location');
	
$ebusiness3 ->where("rostering.department  = 8 OR rostering.department = 3 OR rostering.department = 21" ); 
	$ebusiness3 ->relation('department','department','departmentid','departmentname','department.departmentid = 3 OR  department.departmentid = 8OR  department.departmentid = 21');

	
}
if ($userid=='saula'){
	
	$ebusiness3 ->disabled('sectors,required_guards');
	
   $ebusiness3 ->where("rostering.department  = 4 " ); 
	$ebusiness3 ->relation('department','department','departmentid','departmentname','department.departmentid = 4');

	
}
	//$approvedby=stripslashes($_SESSION['UsersRealName']);
	//$rostering_timesheet->columns('approved_by',true);
     
	//$rostering_timesheet->fields('approved_by',true);
	
	//$rostering_timesheet->validation_required(array('period' => 1,'start_date','end_date','cl'));
	//$rostering_timesheet->duplicate_button();
		$rostering_timesheet->unset_print();
        $rostering_timesheet->unset_csv();
	$rostering_timesheet->benchmark(true);
	 
	
//$rostering_timesheet->after_insert('after');
//$rostering_timesheet->after_update('after');
	
	$ebusiness3 ->highlight('total_hrs','=',48,'#99FF66');
	$ebusiness3 ->highlight('total_hrs','>',48,'#ffe6f2');
	$ebusiness3 ->highlight('total_hrs','<',48,'#e6fff2');
	$ebusiness3 ->highlight_row('total_hrs','<',48,'white');
	
	$ebusiness3 ->disabled('last_modified_by,lastupdate');
	//$ebusiness3 ->before_insert('displaydepartment','functionsguardforceclient.php');
	//$ebusiness3 ->before_update('displaydepartment','functionsguardforceclient.php');
    $ebusiness3 ->show_primary_ai_column(true);
    $ebusiness3 ->column_pattern('timesuvaid', '<a href="#" class="xcrud-action" data-task="view" data-primary="{timesuvaid}">{value}</a>');
	$ebusiness3 ->load_view('create','timesheet.php'); 
   $ebusiness3 ->load_view('edit','timesheet.php');
$ebusiness3 ->load_view('view','timesheet.php');

$ebusiness3 ->set_attr('internal_location',array('id'=>'internal'));
$ebusiness3 ->set_attr('sectors',array('id'=>'sectors'));
$ebusiness3 ->set_attr('patrol_location',array('id'=>'patrollocation'));
$ebusiness3 ->set_attr('account_number',array('id'=>'account'));
$ebusiness3 ->set_attr('id',array('id'=>'id'));
$ebusiness3 ->set_attr('account_number',array('id'=>'account'));
$ebusiness3 ->set_attr('status',array('id'=>'status'));
//$ebusiness3 ->set_attr('locked',array('id'=>'lock'));
	  $rostering_timesheet->show_primary_ai_column(false);
$rostering_timesheet->load_view('list','rosteringlist.php');
$rostering_timesheet->load_view('edit','timesheetsuvadetailedit.php');
$rostering_timesheet->load_view('create','timesheetsuvadetailedit.php');
$rostering_timesheet->load_view('view','timesheetsuvadetailedit.php');
$ebusiness3 ->unset_print();
$ebusiness3 ->unset_csv();
    $ebusiness3 ->duplicate_button();
//$ebusiness3 ->before_insert('poolguardcreation');
//$ebusiness3 ->before_update('poolguardcreation');

//
$userid = $_SESSION['UserID'];

$ebusiness3 ->pass_var('last_modified_by',$userid );

$timenow = date('Y-m-d H:i:s');
$ebusiness3 ->order_by('timesuvaid','desc');
	$ebusiness3 ->pass_var('lastupdate',$timenow);
$ebusiness3 ->column_class('sectors','align-center font-bold ');

$ebusiness3 ->button('PDFPrintTimesheet-GFS.php?rosterid={timesuvaid}', 'Print Timesheet PDF','glyphicon glyphicon-download-alt','approve');
$ebusiness3 ->button('PrintTimesheetExcel-GFS.php?rosterid={timesuvaid}', 'Print Timesheet Excel','glyphicon glyphicon-export','payslipemail');
//$ebusiness3 ->button('RosterCheck.php?rosterid={rosterid}requiredguards={required_guards}', 'Check for Req Guards','glyphicon glyphicon-download-alt','payslipemail');

$rostering_timesheet->set_attr('employeeid',array('id'=>'employeeid'));
$rostering_timesheet->set_attr('timesuvaid',array('id'=>'rosterid'));
$rostering_timesheet->set_attr('calendar_id',array('id'=>'calendarid'));
//mon
$rostering_timesheet->set_attr('montime_in',array('id'=>'monin'));
$rostering_timesheet->set_attr('montime_out',array('id'=>'monout'));

$rostering_timesheet->set_attr('mon_total',array('id'=>'montotal'));
//tues
$rostering_timesheet->set_attr('tuestime_in',array('id'=>'tuesin'));
$rostering_timesheet->set_attr('tuestime_out',array('id'=>'tuesout'));
$rostering_timesheet->set_attr('tues_total',array('id'=>'tuestotal'));
//wed
$rostering_timesheet->set_attr('wedtime_in',array('id'=>'wedin'));
$rostering_timesheet->set_attr('wedtime_out',array('id'=>'wedout'));

$rostering_timesheet->set_attr('wed_total',array('id'=>'wedtotal'));
//thurs
$rostering_timesheet->set_attr('thurstime_in',array('id'=>'thursin'));
$rostering_timesheet->set_attr('thurstime_out',array('id'=>'thursout'));

$rostering_timesheet->set_attr('thurs_total',array('id'=>'thurstotal'));

//fri
$rostering_timesheet->set_attr('fritime_in',array('id'=>'friin'));
$rostering_timesheet->set_attr('fritime_out',array('id'=>'friout'));


$rostering_timesheet->set_attr('fri_total',array('id'=>'fritotal'));
// 
//sat
$rostering_timesheet->set_attr('sattime_in',array('id'=>'satin'));
$rostering_timesheet->set_attr('sattime_out',array('id'=>'satout'));

$rostering_timesheet->set_attr('sat_total',array('id'=>'sattotal'));

//sun
$rostering_timesheet->set_attr('sunttime_in',array('id'=>'sunin'));
$rostering_timesheet->set_attr('sunttime_out',array('id'=>'sunout'));

$rostering_timesheet->set_attr('sun_total',array('id'=>'suntotal'));

$rostering_timesheet->set_attr('calendar_id',array('id'=>'calendarid'));
$rostering_timesheet->set_attr('locked',array('id'=>'locked'));


$rostering_timesheet->column_class('employeeid,wed_total,tues_total','align-center font-bold ');
$rostering_timesheet->column_pattern('employeeid', '<a href="#" class="xcrud-action" data-task="edit" data-primary="{id}">{value}</a>');
	
	echo $ebusiness->render();
}
else{
	
	echo "Not Authorized to view this content";
}
 	echo '</div >';

	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>

	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>